Package org.eclipse.microprofile.rest.client.tck.interfaces

# Class LoggableInterceptor

java.lang.Object
org.eclipse.microprofile.rest.client.tck.interfaces.LoggableInterceptor

@Interceptor @Priority(2000) public class LoggableInterceptor extends Object

## Constructor Summary

Constructors
Constructor
Description
`LoggableInterceptor()`

## Method Summary

Modifier and Type
Method
Description
`static Class<?>`
`getInvocationClass()`
`static String`
`getInvocationMethod()`
`static Object`
`getResult()`
`Object`
`logInvocation(jakarta.interceptor.InvocationContext ctx)`
`static void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggableInterceptor

public LoggableInterceptor()

## Method Details

### getInvocationMethod

public static String getInvocationMethod()

### getInvocationClass

public static Class<?> getInvocationClass()

### getResult

public static Object getResult()

### reset

public static void reset()

### logInvocation

public Object logInvocation(jakarta.interceptor.InvocationContext ctx) throws Exception

Throws:
  `Exception`